Bug 102339 - Failed to activate ppp0 with error 8
Failed to activate ppp0 with error 8
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On: 102365
Blocks: rcn-modem
  Show dependency treegraph
 
Reported: 2003-08-13 19:57 EDT by John Reiser
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 08:54:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sh -x ppp-up, with "strace -f" on ppp-watch (173.35 KB, text/plain)
2003-08-13 20:01 EDT, John Reiser
no flags Details
/etc/wvdial.conf (277 bytes, text/plain)
2003-08-14 09:20 EDT, John Reiser
no flags Details
ifcfg-Olympus (392 bytes, text/plain)
2003-08-14 10:06 EDT, John Reiser
no flags Details
python dump+traceback from Network Device Control (2.01 KB, text/plain)
2003-08-14 11:18 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2003-08-13 19:57:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Network Device Control still cannot Activate a ppp connection on a USB modem. 
The ifcfg-<provider> file looks good, but ppp-watch fails.  The system log file
/var/log/messages says
-----
Aug 13 16:34:44 farmer ifup-ppp: pppd started for ppp0 on /dev/input/ttyACM0 at
115200
Aug 13 16:34:44 host pppd[12263]: pppd 2.4.1 started by root, uid 0
Aug 13 16:34:45 host wvdial[12278]: WvDial: Internet dialer version 1.53
Aug 13 16:34:45 host wvdial[12278]: Initializing modem.
Aug 13 16:34:45 host wvdial[12278]: Sending: ATZ
Aug 13 16:34:50 host wvdial[12278]: Sending: ATQ0
Aug 13 16:34:50 host wvdial[12278]: ATQ0
Aug 13 16:34:50 host wvdial[12278]: OK
Aug 13 16:34:50 host wvdial[12278]: Re-Sending: ATZ
Aug 13 16:34:50 host wvdial[12278]: ATZ
Aug 13 16:34:50 host wvdial[12278]: OK
Aug 13 16:34:50 host wvdial[12278]: stdin not read/write and $MODEM not set
Aug 13 16:34:50 host pppd[12263]: Connect script failed
Aug 13 16:34:51 host pppd[12263]: Exit.
-----
and indeed there is no MODEM environment variable.


Version-Release number of selected component (if applicable):
redhat-config-network-1.2.15-1

How reproducible:
Always

Steps to Reproduce:
1. RedHat > System Tools > Network Device Control
2. select inactive USB modem
3. Activate
    

Actual Results:  Failed to activate ppp0 with error 8.  (No dialing at all.)

Expected Results:  <provider> dialed, connected, chat, ppp up.

Additional info:

I will attach the output of
sh -x /etc/sysconfig/network-scripts/ifup-ppp
../networking/profiles/default/ifcfg-<provider>
where the ppp-watch is invoked with "strace -f", which should help document what
happened.
Comment 1 John Reiser 2003-08-13 20:01:08 EDT
Created attachment 93631 [details]
sh -x ppp-up, with "strace -f" on ppp-watch

sh -x /etc/sysconfig/network-scripts/ifup-ppp
../networking/profiles/default/ifcfg-Olympus >foo 2>&1

with ifup-ppp modified to use strace on ppp-watch:
      exec /usr/bin/strace -f /sbin/ppp-watch "${DEVICE}" "$2"
Comment 2 Harald Hoyer 2003-08-14 05:18:03 EDT
/dev/input/ttyACM0 at 115200 .... are you sure this is correct?

[pid 12278] read(0, "ATZ\r\r\nOK\r\n", 1022) = 10
[pid 12278] select(1, [0], [], [], {0, 100000}) = 0 (Timeout)
[pid 12278] write(3, "ATZ", 3)          = 3
[pid 12278] write(3, "\n", 1)           = 1
[pid 12278] write(3, "OK", 2)           = 2
[pid 12278] write(3, "\n", 1)           = 1
[pid 12278] time([1060817690])          = 1060817690
[pid 12278] rt_sigaction(SIGPIPE, {0x420db0d0, [], SA_RESTORER, 0x420276f8},
{SIG_IGN}, 8) = 0
[pid 12278] send(5, "<30>Aug 13 16:34:50 wvdial[12278"..., 39, 0) = 39
[pid 12278] rt_sigaction(SIGPIPE, {SIG_IGN}, NULL, 8) = 0
[pid 12278] time([1060817690])          = 1060817690
[pid 12278] rt_sigaction(SIGPIPE, {0x420db0d0, [], SA_RESTORER, 0x420276f8},
{SIG_IGN}, 8) = 0
[pid 12278] send(5, "<30>Aug 13 16:34:50 wvdial[12278"..., 38, 0) = 38
[pid 12278] rt_sigaction(SIGPIPE, {SIG_IGN}, NULL, 8) = 0
[pid 12278] close(0)                    = 0
[pid 12278] fcntl64(0, F_GETFL)         = -1 EBADF (Bad file descriptor)
[pid 12278] close(0)                    = -1 EBADF (Bad file descriptor)
[pid 12278] write(3, "--> ", 4)         = 4
[pid 12278] write(3, "stdin not read/write and $MODEM "..., 39) = 39
[pid 12278] write(3, "\n", 1)           = 1

hmmm, two times close(0) ??? very strange...

Which version of redhat-config-network?
Comment 3 Harald Hoyer 2003-08-14 05:20:36 EDT
ah 1.2.15...
Comment 4 Harald Hoyer 2003-08-14 05:22:50 EDT
Did you try 
# ifup ifcfg-ppp0
or whatever ifcfg-Olympus is mapped to?
You may also try to use redhat-control-network..
Comment 5 Harald Hoyer 2003-08-14 05:24:30 EDT
I really should read the bugreport completly :)
Comment 6 Harald Hoyer 2003-08-14 05:28:38 EDT
could you please attach /etc/wvdial.conf ?
Comment 7 John Reiser 2003-08-14 09:20:56 EDT
Created attachment 93639 [details]
/etc/wvdial.conf

Password and Username have been protected.
Comment 8 John Reiser 2003-08-14 09:29:47 EDT
Yes, /dev/input/ttyACM0 is correct.  This is my USB modem, it is there and
turned on [power from USB; the READY LED is on], kudzu at boot has found and
configured it, it is listed in /etc/sysconfig/hwconf, module 'acm' and other usb
modules are loaded.  Minicom works (after symlink so that /dev/ttyACM0 resolves
to /dev/input/ttyACM0 [bug in minicom]).  Baud set at 115200 following the usual
rule-of-thumb that cpu<->modem speed for a modem with compression should be
about 2.5 times the line speed (56K; 43K typical for an actual connection which
minicom has observed.)
Comment 9 Harald Hoyer 2003-08-14 09:36:48 EDT
looks good... hmm.. 
Comment 10 Harald Hoyer 2003-08-14 09:49:57 EDT
and your ifcfg-Olympus?
Comment 11 John Reiser 2003-08-14 10:06:45 EDT
Created attachment 93640 [details]
ifcfg-Olympus

PAPNAME has been protected.

Hardlinked:
/etc/sysconfig/networking/devices/ifcfg-Olympus
/etc/sysconfig/networking/profiles/default/ifcfg-Olympus
/etc/sysconfig/network-scripts/ifcfg-ppp0
Comment 12 Harald Hoyer 2003-08-14 10:11:25 EDT
looks good also...
Comment 13 Harald Hoyer 2003-08-14 10:18:27 EDT
could you try:

# wvdial --remotename ppp0 Olympus

This lets wvdial start pppd without any initscripts, just to see, if it dials..
Comment 14 John Reiser 2003-08-14 11:14:59 EDT
# wvdial --remotename ppp0 Olympus
(as root, from multi-user GUI mode directly after power-off boot) does dial. 

However, interrupting wvdial with <CTRL>C (during modem speed negotiation), and
then invoking RedHat > System Tools > Network Device Control; selecting the
inactive ppp0 and clicking Activate; again produces "Failed to activate ppp0
with error 8".  The modem Activity light flickers.  The symptom seems to be that
ppp-watch loses logical sync when trying to reset the modem with ATZ.  The modem
replies "ATZ\r\rOK\r" all at once, which apparently confuses ppp-watch.

Trying to Activate using Network Device Control directly after power-on reboot
also dials.  However, clicking on the Cancel button (during modem speed
negotiation) produces an abort with python traceback; I will attach the debug
info.  After recovery by killing ppp processes, trying to Activate again gives
"Failed to activate ppp0 with error 8".





Comment 15 John Reiser 2003-08-14 11:18:59 EDT
Created attachment 93641 [details]
python dump+traceback from Network Device Control

Click on Cancel during modem speed negotiation after dialing from Activate. 
This produces an Abort dialog, python traceback, and offers to save debug info.
 ppp session continues; connection is established.
Comment 16 Harald Hoyer 2003-08-14 11:31:13 EDT
ok, python traceback fixed in CVS... thx for this!
Comment 17 James Stewart 2004-02-11 08:34:30 EST
I don't know if this is related but I found a problem in
/etc/ppp/peers/ppp0 where the profile name did not match the
"Nickname". There is a related thread on
http://www.linuxquestions.org/questions/showthread.php?s=&postid=753335#post753335

People are getting a similar connection error. I had this connection
error and modified the said file and all was well. It somehow kept my
old values in this file instead of updating it.

I am using Redhat 9 with an external serial modem.

I hope this helps.

James.
Comment 18 dnoyeb 2004-10-23 16:30:00 EDT
So what was the cause of this bug?
How do I get my system fixed?
Comment 19 dnoyeb 2004-10-23 16:32:24 EDT
Sorry, I should have mentioned.  I am having this problem on a RH8
system I built for a friend.  Just wondering if there is a specific
file I should update.  From the discussion in this thread its clear
the problem is solved, 'in CVS.'  But Its not clear how I am to solve
this problem on my system.

Thank you!
Comment 20 Harald Hoyer 2004-10-25 05:14:48 EDT
dnoyeb: Use Fedora Core 1, 2 or now 3 ... not the old unsupported RH8
Comment 21 dnoyeb 2004-10-25 07:42:01 EDT
Ouch.  I understand.  I built this box for a friend who got her first
computer, an old computer from the city.  RH8 requirements were leaner
than RH9 at the time.  I can only imagine Fedora's requirements.

I'm going to give wvdial a try.  Looks like that part is not where the
bug is!?

Note You need to log in before you can comment on or make changes to this bug.